Subject: Re: [Sipping] WGLC: draft-ietf-sipping-sbc-funcs-00.txt

From: "Jani Hautakorpi (JO/LMF)" <[email-masked]>
Date: Tue, 05 Dec 2006 12:28:33 +0200

Hi Francois,

Thanks for the comments, we'll soon revise the draft and try to address
your comments. We'll especially try to 1) clarify the purpose of the 
draft, 2) avoid term SIP Profiles, 3) enrich the security considerations 
section, and 4) improve the wording.

About the comments: The <cref>s are printed to the text version by
accident. They are leftovers from the previous discussions among the
authors.

-- 
Jani

Francois Audet wrote:
> I really do not believe that this document is ready for Working Group
> Last Call.
> 
> I have started to review it, but I'm having difficulties because it just
> isn't ready yet.
> 
> There are a number of comments (unresolved issues) from the authors
> still embedded in the document,
> illustrating that it is not ready for WGLC. It is pretty entertaining to
> read the dialog between
> the co-authors, but it does emphasise that the text is not ready.
> 
> I also find that the wording needs lots of improvement. 
> 
> The purpose of the document is not very clear either. And the
> introduction is more confusing than
> helpful.
> 
> Some specific comments:
> 
> - In the Scenario section, I'd like to see an Enterprise border
> scenario.  (I.e., where an enteprise
>   uses an SBC at the edge of it's network, in the DMZ). On the other
> side, it could be the open internet
>   with "normal" SIP DNS based connectivity, or it could be a SIP service
> provider.
> 
> - The problem in section 3.1.2 is not "theoretical". It will happen in
> all but the smallest of Enterprise
>   scenarios (as per the scenario described in previous bullet).
> 
> - The term "SIP Profiles" in section 3.3.1 is probably something we want
> to avoid (i.e., say "implement 
>   SIP differently" instead of "implement different SIP Profiles").
> 
> - The section about NAT should explain more media anchoring, and the
> difference between anchoring in one
>   direction or in two direction (i.e., some SBCs only anchor media for
> IP addresses on the private side,
>   like "ALGs").
> 
> - Section 3.5.2: SBCs do introduce a scalabiliy problem because it
> forces the funneling of signalling and
>   media into a single point of failure.
> 
> - I don't see the point of the list of "bugs" fixed in 3.6.3 by an SBC. 
> 
> - Architectural issues in 3.7.2 for Media encryption should describe the
> extra delay affecting voice quality,
>   as well as the processing requirement. It should also describe that it
> introduces another layer of routing
>   on top of IP and generate sub-optiomal routing.
> 
> - Security consideration section needs to be written. There are lots of
> security considerations to talk about.
>   SBCs are Man-in-the-Middle by definition. It has impact on RFC 4474
> that needs to be described. Also on
>   signalling security (explain that SBC is a TLS hop). The implications
> of Topology hiding for security needs
>   to be explored. 
> 
> In summary, I think it needs quite a few more cycles of editing.
> 
> ________________________________
> 
> 	From: Barnes, Mary (RICH2:AR00) 
> 	Sent: Wednesday, November 29, 2006 07:11
> 	To: [email-masked]
> 	Subject: [Sipping] WGLC: draft-ietf-sipping-sbc-funcs-00.txt
> 	
> 	
> 
> 	Hi all, 
> 
> 	This is to announce Working Group Last Call on the following
> document: 
> 	
> http://www.ietf.org/internet-drafts/draft-ietf-sipping-sbc-funcs-00.txt
> 
> 
> 	We would like 3 volunteers to commit to reviewing the document.
> If interested, please contact me directly.  I'll include that
> information in the spreadsheet that will be updated shortly to reflect
> the state of this document in WGLC. 
> 
> 	As always, anyone else that gets a chance to review should also
> send 
> 	their feedback to the authors and copy the SIPPING mailing list.
> 
> 
> 	This WGLC will end on December 20th, 2006 (three weeks time). 
> 
> 	Thanks, 
> 	Mary 
> 	SIPPING WG co-chair 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP